#pragma once

#ifdef _WINRT_DLL
	typedef unsigned char       BYTE;
	#define max(a,b)            (((a) > (b)) ? (a) : (b))
	#define min(a,b)            (((a) < (b)) ? (a) : (b))
#endif

#define UNKNOWN_ENGINE_VERSION	"x.x.x.x"
#define EFFECT_ENGINE_VERSION	"1.0.0.0"
#define PNG_EXTENSION			"png"

///////////////////////////////////////////////////////////////////////////////
//
//
class CEffect
{

public:

	CEffect		(void);
	~CEffect	(void);

	void	ApplygGrayscale			(BYTE * pBytes, int iLength);
	void	ApplyBrightnessScale	(BYTE * pBytes, int iLength, int iBrightness);
	
	char *  GetEngineVersion		(char *pszExtension);
};

