﻿#pragma once

#include "..\SimpleImageView\effect.h"
#include <memory>

namespace ImageEffectsWP8
{
	using namespace Windows::Foundation;
	using Platform::String;

	std::unique_ptr<char>		PlatformStringToCharArray	(String^ string);
	std::unique_ptr<wchar_t>	CharArrayToPlatformString	(char * input);

    public ref class ImageEffects sealed
    {

    public:

        Windows::Foundation::IAsyncAction^ ApplygGrayscale		(Windows::Storage::Streams::IBuffer^ buffer);
		Windows::Foundation::IAsyncAction^ ApplyBrightnessScale	(Windows::Storage::Streams::IBuffer^ buffer, int iBrightness);
		Platform::String^				   GetEngineVersion		(Platform::String^ extension);

	private:

		CEffect m_Effect;
    };
}