
// SimpleImageViewDlg.h : header file
//

#pragma once
#include "afxwin.h"
#include "afxcmn.h"

#include "Effect.h"

///////////////////////////////////////////////////////////////////////////////
// CSimpleImageViewDlg dialog
//
class CSimpleImageViewDlg : public CDialogEx
{

// Construction
//
public:
	CSimpleImageViewDlg(CWnd* pParent = NULL);	// standard constructor

	// Dialog Data
	//
	enum { IDD = IDD_SIMPLEIMAGEVIEW_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

// Implementation
//
protected:
	
	HICON		m_hIcon;
	CImage		m_Image;
	CEffect		m_Effect;
	CSliderCtrl m_SliderBrightness;

	// Generated message map functions
	//
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

public:

	afx_msg void OnBnClickedLoadImage		();	
	afx_msg void OnBnClickedGrayScale		();
	afx_msg void OnBnClickedBrightnessScale	();	
	afx_msg void OnHScroll					(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnBnClickedEngineVersion	();
};
